LinuxQMISDK: Profile3GPP2 Struct Reference

LinuxQMISDK SLQS03.03.07

- Main Page
- Modules
- References
- Data Structures

- Data Structures
- Data Fields

Data Fields
Profile3GPP2 Struct Reference

## Data Fields
BYTE * | pNegoDnsSrvrPref
ULONG * | pPppSessCloseTimerDO
ULONG * | pPppSessCloseTimer1x
BYTE * | pAllowLinger
USHORT * | pLcpAckTimeout
USHORT * | pIpcpAckTimeout
USHORT * | pAuthTimeout
BYTE * | pLcpCreqRetryCount
BYTE * | pIpcpCreqRetryCount
BYTE * | pAuthRetryCount
BYTE * | pAuthProtocol
CHAR * | pUserId
WORD * | pUserIdSize
CHAR * | pAuthPassword
WORD * | pAuthPasswordSize
BYTE * | pDataRate
ULONG * | pAppType
BYTE * | pDataMode
BYTE * | pAppPriority
CHAR * | pApnString
WORD * | pApnStringSize
BYTE * | pPdnType
BYTE * | pIsPcscfAddressNedded
ULONG * | pPrimaryV4DnsAddress
ULONG * | pSecondaryV4DnsAddress
USHORT * | pPriV6DnsAddress
USHORT * | pSecV6DnsAddress
BYTE * | pRATType
BYTE * | pAPNEnabled3GPP2
ULONG * | pPDNInactivTimeout3GPP2
BYTE * | pAPNClass3GPP2

## Detailed Description

This structure contains the 3GPP2 profile parameters

- Parameter values default to their data type's maximum unsigned value unless explicitly stated otherwise.

Parameters

  pNegoDnsSrvrPref | Negotiate DNS Server Preference 1 - (TRUE)implies request DNS addresses from the PDSN 0 - (FALSE)implies do not request DNS addresses from the PDSN Default value is 1 (TRUE)
  pPppSessCloseTimerDO | PPP Session Close Timer for DO Timer value (in seconds) on DO indicating how long the PPP Session should linger before closing down
  pPppSessCloseTimer1x | PPP Session Close Timer for 1X Timer value (in seconds) on 1X indicating how long the PPP session should linger before closing down
  pAllowLinger | Allow/disallow lingering of interface 1 -(TRUE) implies allow lingering 0 -(FALSE) implies do not allow lingering
  pLcpAckTimeout | LCP ACK Timeout Value of LCP ACK Timeout in milliseconds
  pIpcpAckTimeout | IPCP ACK Timeout Value of IPCP ACK Timeout in milliseconds
  pAuthTimeout | AUTH Timeout Value of Authentication Timeout in milliseconds
  pLcpCreqRetryCount | LCP Configuration Request Retry Count
  pIpcpCreqRetryCount | IPCP Configuration Request Retry Count
  pAuthRetryCount | Authentication Retry Count value
  pAuthProtocol | Authentication Protocol 1 - PAP 2 - CHAP 3 - PAP or CHAP
  pUserId | User ID to be used during data network authentication maximum length allowed is 127 bytes; QMI_ERR_ARG_TOO_LONG will be returned if the storage on the wireless device is insufficient in size to hold the value.
  pUserIdSize; | This parameter is an input parameter and should be initialised to the size of pUserId field. Size of this parameter is 2 bytes.
  pAuthPassword | Password to be used during data network authentication; maximum length allowed is 127 bytes QMI_ERR_ARG_TOO_LONG will be returned if the storage on the wireless device is insufficient in size to hold the value.
  pAuthPasswordSize; | This parameter is an input parameter and should be initialised to the size of pAuthPassword field. Size of this parameter is 2 bytes.
  pDataRate | Data Rate Requested 0 - Low (Low speed Service Options (SO15) only) 1 - Medium (SO33 + low R-SCH) 2 - High (SO33 + high R-SCH) Default is 2
  pAppType | Application Type: 0x00000001 - Default Application Type 0x00000020 - LBS Application Type 0x00000040 - Tethered Application Type This parameter is not used while creating/modifying a profile
  pDataMode | Data Mode to use: 0 - CDMA or HDR (Hybrid 1X/1xEV-DO) 1 - CDMA Only (1X only) 2 - HDR Only (1xEV-DO only) Default is 0
  pAppPriority | Application Priority Numerical 1 byte value defining the application priority; higher value implies higher priority This parameter is not used while creating/modifying a profile
  pApnString | String representing the Access Point Name maximum length allowed is 100 bytes QMI_ERR_ARG_TOO_LONG will be returned if the APN name is too long.
  pApnStringSize; | This parameter is an input parameter and should be initialised to the size of pApnString field. Size of this parameter is 2 bytes.
  pPdnType | Packed Data Network Type Requested: 0 - IPv4 PDN Type 1 - IPv6 PDN Type 2 - IPv4 or IPv6 PDN Type 3 - Unspecified PDN Type (implying no preference)
  pIsPcscfAddressNedded | This boolean value is used to control if PCSCF address is requested from PDSN 1 -(TRUE) implies request for PCSCF value from the PDSN 0 -(FALSE) implies do not request for PCSCF value from the PDSN
  pPrimaryV4DnsAddress | IPv4 Primary DNS address The Primary IPv4 DNS address that can be statically assigned to the UE
  pSecondaryV4DnsAddress | IPv4 Secondary DNS address The Secondary IPv4 DNS address that can be statically assigned to the UE
  pPriV6DnsAddress | Primary IPv6 DNS address The Primary IPv6 DNS address that can be statically assigned to the UE
  pSecV6DnsAddress | Secondary IPv6 DNS address The Secondary IPv6 DNS address that can be statically assigned to the UE
  pRATType | Optional 1 Byte Flag indicating RAT Type Values: 1 - HRPD 2 - EHRPD 3 - HRPD_EHRPD This parameter is currently read only and can be read by using the function SLQSGetProfileSettings().
  pAPNEnabled3GPP2 | Optional 1 Byte Flag indicating if the APN is disabled/enabled If disabled, the profile can not be used for making data calls Values: 0 - Disabled 1 - Enabled(default value) This parameter is currently read only and can be read by using the function SLQSGetProfileSettings().
  pPDNInactivTimeout3GPP2 | Optional 4 Bytes indicating the duration of inactivity timer in seconds If the PDP context/PDN connection is inactive for this duration i.e. No data Tx/Rx occurs, the PDP context/PDN connection is disconnected Default value of zero indicates infinite value This parameter is currently read only and can be read by using the function SLQSGetProfileSettings().
  pAPNClass3GPP2 | Optional 1 Byte numeric identifier representing the APN in profile Can be set and queried but is not used by the modem This parameter is currently read only and can be read by using the function SLQSGetProfileSettings().

## Field Documentation

BYTE* Profile3GPP2::pAllowLinger

BYTE* Profile3GPP2::pAPNClass3GPP2

BYTE* Profile3GPP2::pAPNEnabled3GPP2

CHAR* Profile3GPP2::pApnString

WORD* Profile3GPP2::pApnStringSize

BYTE* Profile3GPP2::pAppPriority

ULONG* Profile3GPP2::pAppType

CHAR* Profile3GPP2::pAuthPassword

WORD* Profile3GPP2::pAuthPasswordSize

BYTE* Profile3GPP2::pAuthProtocol

BYTE* Profile3GPP2::pAuthRetryCount

USHORT* Profile3GPP2::pAuthTimeout

BYTE* Profile3GPP2::pDataMode

BYTE* Profile3GPP2::pDataRate

USHORT* Profile3GPP2::pIpcpAckTimeout

BYTE* Profile3GPP2::pIpcpCreqRetryCount

BYTE* Profile3GPP2::pIsPcscfAddressNedded

USHORT* Profile3GPP2::pLcpAckTimeout

BYTE* Profile3GPP2::pLcpCreqRetryCount

BYTE* Profile3GPP2::pNegoDnsSrvrPref

ULONG* Profile3GPP2::pPDNInactivTimeout3GPP2

BYTE* Profile3GPP2::pPdnType

ULONG* Profile3GPP2::pPppSessCloseTimer1x

ULONG* Profile3GPP2::pPppSessCloseTimerDO

ULONG* Profile3GPP2::pPrimaryV4DnsAddress

USHORT* Profile3GPP2::pPriV6DnsAddress

BYTE* Profile3GPP2::pRATType

ULONG* Profile3GPP2::pSecondaryV4DnsAddress

USHORT* Profile3GPP2::pSecV6DnsAddress

CHAR* Profile3GPP2::pUserId

WORD* Profile3GPP2::pUserIdSize